diff mbox series

[B/F/I/J,K/Unstable,OEM-5.14/OEM-5.17,1/2] Revert "UBUNTU: SAUCE: selftests: net: Don't fail test_vxlan_under_vrf on xfail"

Message ID 20220530074336.46900-2-po-hsu.lin@canonical.com
State New
Headers show
Series Remove SAUCE patches from test_vxlan_under_vrf.sh in net of ubuntu_kernel_selftests | expand

Commit Message

Po-Hsu Lin May 30, 2022, 7:43 a.m. UTC
BugLink: https://bugs.launchpad.net/bugs/1975691

This reverts commit 7d9c6353c36a560ca73ca1bea35e16f62b4bec69.

With the broken test case, "underlay in a VRF", fixed in the
test_vxlan_under_vrf.sh, we should remove the SAUCE patches that mark
this test failure as an expected failure to catch regressions in the
future. This could reduce maintenance cost as well.

Signed-off-by: Po-Hsu Lin <po-hsu.lin@canonical.com>

---
 tools/testing/selftests/net/test_vxlan_under_vrf.sh | 7 ++-----
 1 file changed, 2 insertions(+), 5 deletions(-)
diff mbox series

Patch

diff --git a/tools/testing/selftests/net/test_vxlan_under_vrf.sh b/tools/testing/selftests/net/test_vxlan_under_vrf.sh
index 4458bf0..eb6f7d1 100755
--- a/tools/testing/selftests/net/test_vxlan_under_vrf.sh
+++ b/tools/testing/selftests/net/test_vxlan_under_vrf.sh
@@ -127,8 +127,5 @@  ip -netns hv-2 link set vxlan0 down
 ip -netns hv-2 link set vxlan0 up
 
 echo -n "Check VM connectivity through VXLAN (underlay in a VRF)            "
-if ! ip netns exec vm-1 ping -c 1 -W 1 10.0.0.2 &> /dev/null; then
-    echo "[XFAIL]"
-else
-    echo "[ OK ]"
-fi
+ip netns exec vm-1 ping -c 1 -W 1 10.0.0.2 &> /dev/null || (echo "[XFAIL]"; false)
+echo "[ OK ]"